Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
dtloc_18

các bác biết lệnh nào xoá layer hay gộp layer lại ko?

Các bài được khuyến nghị

bản vẽ của tôi giờ nhiều layer quá, có lệnh nào xoá layer hoặc gộp 2 layer thành 1 ko? bác nào bít mong các bác chỉ với :cheers:

Lệnh xoá layer là laydel còn lệnh gộp 2 layer thành 1 là lệnh laymrg. 2 lệnh này nằm trong phụ trợ express.

Để xoá được layer thì các đối tượng thuộc layer đó phải không còn tyoòn tại trên bản vẽ thì bạn mới xoá layer được.

Ngoài ra còn có lệnh PU (PURGE) để xoá layer ra khỏi bản vẽ.

B)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Lệnh xoá layer là laydel còn lệnh gộp 2 layer thành 1 là lệnh laymrg. 2 lệnh này nằm trong phụ trợ express.

Để xoá được layer thì các đối tượng thuộc layer đó phải không còn tyoòn tại trên bản vẽ thì bạn mới xoá layer được.

Ngoài ra còn có lệnh PU (PURGE) để xoá layer ra khỏi bản vẽ.

:cheers:

Chú ý: dùng laymrg và laydel khi chọn 1 đối tượng nó sẽ chọn toàn bộ các đối tượng thuộc layer đó rồi xóa luôn layer được chọn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chú ý: dùng laymrg và laydel khi chọn 1 đối tượng nó sẽ chọn toàn bộ các đối tượng thuộc layer đó rồi xóa luôn layer được chọn

Lệnh xoá Lớp là XX

 

CODE

;================= Xoa lop ============

 

(defun c:xx (/ a)

(setvar "cmdecho" 0)

(setq olderr *error* *error* myerror)

(prompt (strcat "\n Hoang Giang Xoa lop "

" ...!"))

(setq a (entsel "\nChon doi tuong thuoc layer muon xoa: "))

(if (/= a nil)

(progn

(setq a (cdr (assoc 8 (entget (car a )))))

(command "erase" (ssget "x" (cons (cons 8 (eval a)) tempword)) "")

)

(prompt "\nKhong doi tuong nao duoc chon!")

)

(setq *error* olderr)

(setvar "cmdecho" 1)

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Công việc của em cũng đang cần dùng đến việc xóa các layer em có cái lisp xóa layer the tên như file đính kèm http://www.cadviet.com/upfiles/3/24823_dla.lsp
Vidụ: em muốn sửa lisp này thành xóa 3 layer có tên sau: Layer 1, Layer 2, Layer 3 mà không cần phải nhập tên layer nữa. Lisp tư động xóa các Layer này. Nhờ các bác giúp em , xin cảm ơn các bác.
 

Chỉnh sửa theo hungtv0102

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×